<?php
declare(strict_types=1);

namespace App\Framework\Http\Session;

interface SessionStorage
{
    public function read(SessionId $id): array;
    public function write(SessionId $id, array $data): void;
    public function remove(SessionId $id): void;
    public function migrate(SessionId $fromId, SessionId $toId): void;
}
